šŸ”“šŸ”µ Modify the nutritional info of an uploaded intake

Modify the nutritional information indicators of a previously uploaded intake (image). The changes will take place on the /history/getIntakesList endpoint or any other endpoint that retrieves the nutritional information for an image. Ā  A different format has to be provided for the submitted nutritional information depending on whether the image has a prediction of type food recognition or of type food segmentation.

  • In case the image at hand has a prediction of type segmentation, then you have to provide the parameter 'nutritional_indicators_per_item' containing an object where keys are food item identifiers and values are lists of nutritional codes and values.
  • In case the image at hand has a prediction of type recognition, then you have to provide the parameter 'nutritional_indicators' containing a list of nutritional codes and values.

Check the provided examples for additional information. Ā  Note that if you confirm a new list of dishes for this intake or you apply any ingredient modification, the nutritional information will be re-calculated based on the new list of dishes or ingredients.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Parameters to update an intake nutritional information.

the parameter 'nutritional_indicators_per_item' has to be provided if the image has a prediction of type segmentation, otherwise the parameter 'nutritional_indicators' has to be provided if the image has a prediction of type recognition.

integer
required

ID of the image to be modified. The image ID is obtained in the recognition response. It can be obtained through the nutritional information history endpoint too. The user must have access to the image in order to modify it.

nutritional_indicators
array of objects

a list with all the nutritional codes can be provided. Any non-specified nutritional code will be set to 0.

nutritional_indicators
nutritional_indicators_per_item
object

an object with food item identifiers as keys and lists as values has to be provided. Each list can include all nutritional codes. Any non-specified nutritional code will be set to 0.

Responses

401

Unauthorized, invalid token.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json